## Query Query — Functions to query OpenGL support information |

## Functions

void | (*GdkGLProc) ()
gboolean | gdk_gl_query_extension ()
gboolean | gdk_gl_query_extension_for_display ()
gboolean | gdk_gl_query_version ()
gboolean | gdk_gl_query_version_for_display ()
gboolean | gdk_gl_query_gl_extension ()
GdkGLProc | gdk_gl_get_proc_address ()

## Includes

    #include <gdk/gdkgl.h>

## Description

## Functions

### GdkGLProc ()

    void
    (*GdkGLProc) (void);

### gdk_gl_query_extension ()

    gboolean
    gdk_gl_query_extension (void);

Indicates whether the window system supports the OpenGL extension (GLX, WGL, etc.).

#### Returns

TRUE if OpenGL is supported, FALSE otherwise.

### gdk_gl_query_extension_for_display ()

    gboolean
    gdk_gl_query_extension_for_display (GdkDisplay *display);

Indicates whether the window system supports the OpenGL extension (GLX, WGL, etc.).

#### Parameters

display | the GdkDisplay where the query is sent to. |

#### Returns

TRUE if OpenGL is supported, FALSE otherwise.

### gdk_gl_query_version ()

    gboolean
    gdk_gl_query_version (int *major,
                          int *minor);

Returns the version numbers of the OpenGL extension to the window system.

In the X Window System, it returns the GLX version.

In the Microsoft Windows, it returns the Windows version.

#### Parameters

major | returns the major version number of the OpenGL extension. |
minor | returns the minor version number of the OpenGL extension. |

#### Returns

FALSE if it fails, TRUE otherwise.

### gdk_gl_query_version_for_display ()

    gboolean
    gdk_gl_query_version_for_display (GdkDisplay *display,
                                      int *major,
                                      int *minor);

Returns the version numbers of the OpenGL extension to the window system.

In the X Window System, it returns the GLX version.

In the Microsoft Windows, it returns the Windows version.

#### Parameters

display | the GdkDisplay where the query is sent to. |
major | returns the major version number of the OpenGL extension. |
minor | returns the minor version number of the OpenGL extension. |

#### Returns

FALSE if it fails, TRUE otherwise.

### gdk_gl_query_gl_extension ()

    gboolean
    gdk_gl_query_gl_extension (const char *extension);

Determines whether a given OpenGL extension is supported.

There must be a valid current rendering context to call `gdk_gl_query_gl_extension()`.

gdk_gl_query_gl_extension() returns information about OpenGL extensions only. This means that window system dependent extensions (for example, GLX extensions) are not reported by `gdk_gl_query_gl_extension()`.

#### Parameters

extension | name of OpenGL extension. |

#### Returns

TRUE if the OpenGL extension is supported, FALSE if not supported.

### gdk_gl_get_proc_address ()

    GdkGLProc
    gdk_gl_get_proc_address (const char *proc_name);

Returns the address of the OpenGL, GLU, or GLX function.

#### Parameters

proc_name | function name. |

#### Returns

the address of the function named by `proc_name` .

## Types and Values